## com.google.appengine.api.blobstore
Class UploadOptions

    java.lang.Object
      com.google.appengine.api.blobstore.UploadOptions

    public final class UploadOptions

extends java.lang.Object

Allows users to customize the behavior of a single upload to the `BlobstoreService`.

Nested Class Summary
`static class` `UploadOptions.Builder` Contains static creation methods for `UploadOptions`.

Method Summary
`boolean` `equals(java.lang.Object object)`
`int` `hashCode()`
`UploadOptions` `maxUploadSizeBytes(long maxUploadSizeBytes)` Sets the maximum size in bytes that for the total upload.
`UploadOptions` `maxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)` Sets the maximum size in bytes for any one blob in the upload.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### maxUploadSizeBytesPerBlob

    public UploadOptions maxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)

  Sets the maximum size in bytes for any one blob in the upload. If any blob in the upload exceeds this value then a 413 error will be returned to the client.

  Parameters:
    `maxUploadSizeBytesPerBlob` - The maximum size in bytes that any one blob in the upload can be.
  Returns:
    `this` (for chaining)

### maxUploadSizeBytes

    public UploadOptions maxUploadSizeBytes(long maxUploadSizeBytes)

  Sets the maximum size in bytes that for the total upload. If the upload exceeds this value then a 413 error will be returned to the client.

  Parameters:
    `maxUploadSizeBytes` - The maximum size in bytes for the upload.
  Returns:
    `this` (for chaining)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`